import { Request, Response } from 'express';
import { DashboardService } from './dashboard.service';
export declare class DashboardController {
    private readonly service;
    constructor(service: DashboardService);
    getDashboardSummery(owner_id: string, dataScope: 'own' | 'all' | undefined, res: Response, req: Request): Promise<Response<any, Record<string, any>>>;
    getThisWeekSummary(owner_id: string, dataScope: 'own' | 'all' | undefined, res: Response, req: Request): Promise<Response<any, Record<string, any>>>;
    getThisMonthSummary(owner_id: string, dataScope: 'own' | 'all' | undefined, res: Response, req: Request): Promise<Response<any, Record<string, any>>>;
    getPendingLeaves(owner_id: string, dataScope: 'own' | 'all' | undefined, page: string | undefined, limit: string | undefined, res: Response, req: Request): Promise<Response<any, Record<string, any>>>;
}
